Bug 11925 - patron category not checking ages limits
Summary: patron category not checking ages limits
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-11 20:12 UTC by Nicole C. Engard
Modified: 2015-12-03 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11925: Check ages limits when creating/updating patrons (1.74 KB, patch)
2015-04-28 09:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF]Bug 11925: Check ages limits when creating/updating patrons (1.82 KB, patch)
2015-04-29 20:27 UTC, Christopher Brannon
Details | Diff | Splinter Review
[PASSED QA] Bug 11925: Check ages limits when creating/updating patrons (1.87 KB, patch)
2015-04-29 22:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-03-11 20:12:04 UTC
At some point in the past I know that Koha checked the patron category for age restrictions and upperage limits - or so I thought it did.  Koha 3.12+ is not checking. It's letting me create patrons that are outside of the date range put on the patron category.  I tested in master and 3.12.10
Comment 1 Jonathan Druart 2015-04-28 09:49:58 UTC Comment hidden (obsolete)
Comment 2 Christopher Brannon 2015-04-29 20:27:48 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-04-29 22:07:53 UTC
Created attachment 38706 [details] [review]
[PASSED QA] Bug 11925: Check ages limits when creating/updating patrons

The check on the ages limits is only done when the dateofbirth field is
mandatory, which does not make any sense.
This check should be done when the field is filled.

Test plan:
1/ Remove the dateofbirth field from the BorrowerMandatoryField pref
2/ Create a patron category for teenager (say between 12-17y)
3/ Try to create a patron in this category outside the range of the ages
limits.
You should not be able to do it.

Signed-off-by: Christopher Brannon <cbrannon@cdalibary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-05-20 14:26:30 UTC
Patch pushed to master.

Thanks Jonathan!